
Redmine - Defect #2863

When categories list is too big the popup menu doesn't adjust (ex. in the issue list)

2009-02-28 11:40 - Jens Berlips

Status: Closed Start date: 2009-02-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version:  

Description

If you have a too many categories and right-click on an issue to set the category of choice, some categories may not be visible since

they are not viewable and no scrollbar pop ups.

Possible solution: div overflow: auto; together with a maximum div size should fix this?

Also added a rake script to auto-add cateogires to a project STDIN:

namespace :project do

cats = ['Category1', 'Category2']

task(:categories=> :environment) do

value = STDIN.gets.chomp!

        for p in Project.find(:all, :conditions => "name = '#{value}'")

                for cp in cats

                        if not p.issue_categories.exists?(:name => "#{cp}")

                                p.issue_categories.create(:name => cp)

                        end

                end

        end

  end

end

~

Associated revisions

Revision 3725 - 2010-05-01 13:54 - Jean-Philippe Lang

Adds auto scroll to context submenus (#2863).

History

#1 - 2009-03-01 11:21 - Jean-Philippe Lang

Can you post a screenshot that illustrates this problem please?

#2 - 2009-03-01 14:49 - Jens Berlips

- File bug_redmine.JPG added

Sure:

 bug_redmine.JPG 

#3 - 2010-05-01 10:54 - Alain Alain091

- File context_menu.css.patch added

- File context_menu.js.patch added

Find attached 2 patches :

1/ correction on css with adding overflow-y (tested on IE8)
2/ updating of context-menu.js with more prototype like statements.

#4 - 2010-05-01 11:00 - Alain Alain091

The patch also works on FF 3.6.3

#5 - 2010-05-01 13:53 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

Alain Gandon wrote:

1/ correction on css with adding overflow-y (tested on IE8)

 r3725 adds a max-height and auto scroll rather than a fixed height and scroll.

2/ updating of context-menu.js with more prototype like statements.

 If it's supposed to fix anything, please open another ticket.

#6 - 2010-05-01 14:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2010-05-01 17:44 - Alain Alain091

Infortunatly, the max-height doesn't have the good behavior and on IE8 and FF 3.6.3 the modification doesn't fix the problem.

My modification with a fixe height (height:80px) have the good behavior and this fix the problem.

#8 - 2010-05-01 18:49 - Alain Alain091

height:80px is too much near top of window.

height:60px is a best choice.

Files

bug_redmine.JPG 119 KB 2009-03-01 Jens Berlips

context_menu.css.patch 540 Bytes 2010-05-01 Alain Alain091

context_menu.js.patch 650 Bytes 2010-05-01 Alain Alain091
